import request from '@/utils/request'

// 查询车辆基础信息列表
export function listCar(query) {
  return request({
    url: '/car/sysCar/selectSysCarVoList',
    method: 'post',
    data: query
  })
}

// 查询车辆基础信息详细
export function getCar(id) {
  return request({
    url: '/car/sysCar/selectSysCarVoById/' + id,
    method: 'get'
  })
}

// 新增车辆基础信息
export function addCar(data) {
  return request({
    url: '/car/addSysCar',
    method: 'post',
    data: data
  })
}

// 修改车辆基础信息
export function updateCar(data) {
  return request({
    url: '/car/sysCar',
    method: 'put',
    data: data
  })
}

// 删除车辆基础信息
export function delCar(id) {
  return request({
    url: '/car/sysCar/' + id,
    method: 'delete'
  })
}



// 查询车辆类型列表
export function selectCarTypeList() {
  return request({
    url: '/car/carType/selectCarTypeList',
    method: 'get'
  })
}


//
// // 查询电子围栏列表
// export function selectFenceList() {
//   return request({
//     url: '/car/fence/list',
//     method: 'post'
//   })
// }



export function getLogCar() {
  return request({
    url: '/car/sysCarLog/selectList',
    method: 'get'
  })
}
